Description

Currently, the `runcmd` options in cloudinit integration with ovirt don't handle

multi-line items, leading to bad indentation of the resulting cloud-init.

See http://projects.theforeman.org/issues/20590 for request for full

integration with cloud-init in ovirt, as the current set if quite limiting. However,

getting the multi-line support into runcmd is smaller than the full-set cloud-init support

(by means of number of different repositories the fix needs to go though)

Related issues:

Related to Foreman - Feature #20590: Full cloud-init support with ovirt provider Closed 08/14/2017

History

#1 - 08/14/2017 11:19 AM - Ivan Necas

- Related to Feature #20590: Full cloud-init support with ovirt provider added

#2 - 08/14/2017 11:53 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4744 added

#3 - 08/14/2017 11:54 AM - Ivan Necas

- Pull request https://github.com/fog/fog/pull/3961 added

#4 - 08/14/2017 11:55 AM - Ivan Necas

- Pull request deleted (https://github.com/fog/fog/pull/3961, https://github.com/theforeman/foreman/pull/4744)

#5 - 08/14/2017 11:57 AM - Ivan Necas

- Bugzilla link set to 1189813

#6 - 08/23/2017 09:17 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

Fixed in rbovirt-0.1.4

#7 - 10/27/2017 08:24 PM - Marek Hulán

- Status changed from Closed to New

Reopening, Ivan I don't see any commit that would bump our rbovirt requirementes. Also in our repos, there's still rbovirt 0.1.3. I suppose it should be

bumped to consider this issue fixed.

#8 - 03/31/2018 04:46 PM - Anonymous

what's the status here?
#9 - 07/10/2018 10:14 AM - Ivan Necas

- Status changed from New to Closed

- Triaged set to No

Already fixed.

#10 - 07/11/2018 12:27 PM - Marek Hulán

- Fixed in Releases 1.17.2 added

I see 0.1.4 is in 1.17 repos, setting the version accordingly.
